libkate 0.4.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Version information

## Functions
int | kate_get_version (void)
const char * | kate_get_version_string (void)
int | kate_get_bitstream_version (void)
const char * | kate_get_bitstream_version_string (void)

## Detailed Description

## Function Documentation

int kate_get_bitstream_version | ( | void |  | ) |

Returns the highest bitstream version number that this version of libkate supports, in 8.8 major.minor format

Returns:
  the bitstream version number

References KATE_BITSTREAM_VERSION_MAJOR, and KATE_BITSTREAM_VERSION_MINOR.

const char* kate_get_bitstream_version_string | ( | void |  | ) |

Returns a string representing the highest bitstream version number that this version of libkate supports

Returns:
  the bitstream version number as a string

References KATE_BITSTREAM_VERSION_MAJOR, and KATE_BITSTREAM_VERSION_MINOR.

int kate_get_version | ( | void |  | ) |

Returns the version number of this version of libkate, in 8.8.8 major.minor.patch format

Returns:
  the version number of libkate

References KATE_VERSION_MAJOR, KATE_VERSION_MINOR, and KATE_VERSION_PATCH.

const char* kate_get_version_string | ( | void |  | ) |

Returns a human readable string representing the version number of this version of libkate

Returns:
  the version number of libkate as a string

References KATE_VERSION_MAJOR, KATE_VERSION_MINOR, and KATE_VERSION_PATCH.